
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.cobblestonemod.init;

import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.BuildCreativeModeTabContentsEvent;

import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.core.registries.Registries;

import net.cobblestonemod.CobblestoneModMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class CobblestoneModModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, CobblestoneModMod.MODID);

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {

		if (tabData.getTabKey() == CreativeModeTabs.BUILDING_BLOCKS) {
			tabData.accept(CobblestoneModModBlocks.UNCOMMONCOBBLESTONE.get().asItem());
			tabData.accept(CobblestoneModModBlocks.RARECOBBLESTONE.get().asItem());
			tabData.accept(CobblestoneModModBlocks.EPICCOBBLESTONE.get().asItem());
			tabData.accept(CobblestoneModModBlocks.LEGENDARYCOBBLESTONE.get().asItem());
			tabData.accept(CobblestoneModModBlocks.MYTHICAL_COBBLESTONE.get().asItem());
			tabData.accept(CobblestoneModModBlocks.UNCOMMONSTONE.get().asItem());
			tabData.accept(CobblestoneModModBlocks.RARESTONE.get().asItem());
		}

		if (tabData.getTabKey() == CreativeModeTabs.INGREDIENTS) {
			tabData.accept(CobblestoneModModItems.OREFIER.get());
			tabData.accept(CobblestoneModModItems.RAWOREFIER.get());
			tabData.accept(CobblestoneModModItems.RAWBENJAMINORE.get());
			tabData.accept(CobblestoneModModItems.BENJAMINOREINGOT.get());
		}

		if (tabData.getTabKey() == CreativeModeTabs.NATURAL_BLOCKS) {
			tabData.accept(CobblestoneModModBlocks.OREFIERORE.get().asItem());
			tabData.accept(CobblestoneModModBlocks.BENJAMINORE.get().asItem());
		}

		if (tabData.getTabKey() == CreativeModeTabs.TOOLS_AND_UTILITIES) {
			tabData.accept(CobblestoneModModItems.BENJAMINPICKAX.get());
		}
	}
}
