
package net.cobblestonemod.item;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.PickaxeItem;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;

import net.cobblestonemod.init.CobblestoneModModItems;

public class BenjaminpickaxItem extends PickaxeItem {
	public BenjaminpickaxItem() {
		super(new Tier() {
			public int getUses() {
				return 10000;
			}

			public float getSpeed() {
				return 12f;
			}

			public float getAttackDamageBonus() {
				return 2f;
			}

			public int getLevel() {
				return 4;
			}

			public int getEnchantmentValue() {
				return 22;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(CobblestoneModModItems.BENJAMINOREINGOT.get()));
			}
		}, 1, -3f, new Item.Properties().fireResistant());
	}
}
