
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.cobblestonemod.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;

import net.minecraft.world.level.block.Block;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.BlockItem;

import net.cobblestonemod.item.RaworefierItem;
import net.cobblestonemod.item.RawbenjaminoreItem;
import net.cobblestonemod.item.OrefierItem;
import net.cobblestonemod.item.BenjaminpickaxItem;
import net.cobblestonemod.item.BenjaminoreingotItem;
import net.cobblestonemod.CobblestoneModMod;

public class CobblestoneModModItems {
	public static final DeferredRegister<Item> REGISTRY = DeferredRegister.create(ForgeRegistries.ITEMS, CobblestoneModMod.MODID);
	public static final RegistryObject<Item> UNCOMMONCOBBLESTONE = block(CobblestoneModModBlocks.UNCOMMONCOBBLESTONE);
	public static final RegistryObject<Item> RARECOBBLESTONE = block(CobblestoneModModBlocks.RARECOBBLESTONE);
	public static final RegistryObject<Item> EPICCOBBLESTONE = block(CobblestoneModModBlocks.EPICCOBBLESTONE);
	public static final RegistryObject<Item> LEGENDARYCOBBLESTONE = block(CobblestoneModModBlocks.LEGENDARYCOBBLESTONE);
	public static final RegistryObject<Item> MYTHICAL_COBBLESTONE = block(CobblestoneModModBlocks.MYTHICAL_COBBLESTONE);
	public static final RegistryObject<Item> OREFIER = REGISTRY.register("orefier", () -> new OrefierItem());
	public static final RegistryObject<Item> OREFIERORE = block(CobblestoneModModBlocks.OREFIERORE);
	public static final RegistryObject<Item> RAWOREFIER = REGISTRY.register("raworefier", () -> new RaworefierItem());
	public static final RegistryObject<Item> UNCOMMONSTONE = block(CobblestoneModModBlocks.UNCOMMONSTONE);
	public static final RegistryObject<Item> RARESTONE = block(CobblestoneModModBlocks.RARESTONE);
	public static final RegistryObject<Item> BENJAMINORE = block(CobblestoneModModBlocks.BENJAMINORE);
	public static final RegistryObject<Item> RAWBENJAMINORE = REGISTRY.register("rawbenjaminore", () -> new RawbenjaminoreItem());
	public static final RegistryObject<Item> BENJAMINOREINGOT = REGISTRY.register("benjaminoreingot", () -> new BenjaminoreingotItem());
	public static final RegistryObject<Item> BENJAMINPICKAX = REGISTRY.register("benjaminpickax", () -> new BenjaminpickaxItem());

	private static RegistryObject<Item> block(RegistryObject<Block> block) {
		return REGISTRY.register(block.getId().getPath(), () -> new BlockItem(block.get(), new Item.Properties()));
	}
}
